#!/bin/sh

LC_ALL=C
export LC_ALL

test -z "$srcdir" && srcdir=.
stat=0

test "x$HBHEADERS" = x && HBHEADERS=`cd "$srcdir"; ls hb*.h 2>/dev/null`
test "x$HBSOURCES" = x && HBSOURCES=`cd "$srcdir"; ls hb-*.cc hb-*.hh 2>/dev/null`

for x in $HBHEADERS $HBSOURCES; do
	test -f "$srcdir/$x" && x="$srcdir/$x"
	echo "$x" | grep -q '[^h]$' && continue;
	xx=`echo "$x" | sed 's@.*/@@'`
	tag=`echo "$xx" | tr -- - _ | tr '[:lower:]' '[:upper:]' | tr . _`
	lines=`grep -w "$tag" "$x" | awk 'END { print NR; }'`
	if test $lines -lt 3; then
		echo "Ouch, header file $x does not have correct preprocessor guards"
		stat=1
	fi
done

exit $stat
